// fp_exec exit codes

#define EXIT_OK               0
#define EXIT_BAD_ARG          0x21 // Error in command line parameters. Output file is not created.
#define EXIT_BAD_INPUT_FILE   0x22 // Missing file or invalid XML.
#define EXIT_IO_ERROR         0x23 // File I/O error.
#define EXIT_UNKNOWN_COMMAND  0x24 // Invalid value for Command attribute in root tag.
#define EXIT_BAD_CMD_PARAMS   0x25 // Invalid or insufficinent data in XML.
#define EXIT_OTHER            0x26 // Error in .conf file, etc.
#define EXIT_FP_ERR           0x27 // Error returned by FP or in communication with FP. The error code is stored in "ErrorFP" attribute in output file.
